## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/gatagat/lap/
%global commit 600c210d9bef793ee0fe502cbc350e676a6e083a

%global common_description %{expand:
This package provides the 'lap' Python library, a Linear Assignment Problem
solver using the Jonker-Volgenant algorithm. It is required by applications
like Beets for efficient tag matching.
}

Name:           python-lap
Version:        0.5.12
Release:        %autorelease
Summary:        Linear Assignment Problem solver for Python
License:        BSD-2-Clause

%{forgemeta}

URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%description %common_description

%package -n python3-lap
Summary:        $(summary)

%description -n python3-lap %common_description

%prep
%{forgesetup}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l lap

# Remove test suite from installed files (not needed at runtime)
rm -rvf '%{buildroot}%{python3_sitearch}/lap/tests'
sed -r -i '/.*\/lap\/tests(\/|$)/d' %{pyproject_files}
sed -r -i '/lap\.tests(\.|$)/d' %{_pyproject_modules}

%check
mkdir _empty
cd _empty
ln -s ../lap/tests
%pyproject_check_import
%pytest

%files -n python3-lap -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sun Jun 22 2025 John Doe <packager@example.com> - 0.5.12-1
- Uncommitted changes
## END: Generated by rpmautospec
